com.sun.grid.jgdi.rmi

## Class JGDIRemoteFactoryImpl

- java.lang.Object
- - com.sun.grid.jgdi.rmi.JGDIRemoteFactoryImpl

- All Implemented Interfaces:
    JGDIRemoteFactory, java.rmi.Remote

      public class JGDIRemoteFactoryImpl
      extends java.lang.Object
      implements JGDIRemoteFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDIRemoteFactoryImpl(java.lang.String url)` Creates a new instance of JGDIRemoteFactoryImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JGDIRemote` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGDIRemoteFactoryImpl

          public JGDIRemoteFactoryImpl(java.lang.String url)

      Creates a new instance of JGDIRemoteFactoryImpl

  - ### Method Detail

    - #### newInstance

          public JGDIRemote newInstance()
                                 throws java.rmi.RemoteException

      Specified by:
        `newInstance` in interface `JGDIRemoteFactory`
      Throws:
        `java.rmi.RemoteException`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.